<%@ language="vbscript" %>
<%option explicit%>

<!--#include file="System/ErrorMessageHeader.asp"-->

<%
if (IsNull(Application("IIm_WEBROOT_PATH")) or IsEmpty(Application("IIm_WEBROOT_PATH"))) then
	'Redirect to web apps homepage, which reconstructs the application variable values by default without having to use them (calls System/SystemSettings.asp)
	response.redirect ("../../")
	response.end
end if
%>

<%Server.Execute (Application("IIm_WEBROOT_PATH") & "/System/PAGE_SYSTEM.asp")%>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%Server.Execute (Application("IIm_WEBROOT_PATH") & "/System/PAGE_HEADER.asp")%>
<link media="screen" rel="stylesheet" type="text/css" href="skin/style.css" />
</head>
<body>
<%Server.Execute (Application("IIm_WEBROOT_PATH") & "/System/PAGE_BODY_TOP.asp")%>


<!--#include file="System/SystemDatabases.asp"-->








<div id='toolbar'>
<a href='default.asp' class='button pagelist' title='view page list'><img src='Skin/images/spacer.gif' class='' alt='' title='' /><span class='hide'>image views&nbsp;</span></a>
<a href='help.asp' class='button help' title='help'><img src='Skin/images/spacer.gif' class='' alt='' title='' /><span class='hide'>help</span></a>
</div>




<div class='imageviewer_help'>
<h1>ImageViewer</h1>
<fieldset>
<br />

<h2>Overview</h2>
<p>
You may use the <strong>Image Viewer</strong> to share your photos to others online. This module allows you access and use images your manage in the ImageManager, but then attach images from that library to a select web pages, or "Image View". This special web pages holds just the images you assign them. After assigning images to this view page, you may then link to this unique web page from anywhere on the Web, and easily share your photos with friends and family. Others can easily see your new images in the image view page using a simple browser and URL you provide them.
<strong>Please Note: In this FREE version, you are only given five image views and may not create more view pages.</strong>
<br /><br />
You may add the ability to add unlimited view pages, and purchase the full version of this application (called ImageIsle) by visiting us online at <a href="<%=Application("IIm_COMPANY_URL")%>" target='_blank'><strong><%=Application("IIm_COMPANY_URL")%></strong></a>
</p>

<h2>Image Views</h2>
<p>
The FREE version of the ImageViewer Module has one icon at the top. Called "ImageViews", this icon is the default page area you will see when you first come to the ImageViewer Module. The Image Views page contains a list of all page views you create. (In this version, you are allowed only five image views, but in the full version can create more.) This area allows you have a public page in which you attach images and which you may share with other online viewers. In this page view, to the left, you will see two special form fields. The first allows you to type in a "title" for you image view page, and the second a "description" for your page. The title appears at the top of your image view page and allows you to tell your users the general subject of your image collection in the page. The description also appears at the top under the title and allows you to talk in detail about the images found in the page. Both, in general should be short, as its usually the images people want to view. A picture is worth a thousand words, as they say! After typing in your text into these two fields, you may press the "E" for Edit to the left of the two fields. This saves the text to your page. After changing text in your image view page, you may click any of the links to the right in the list. These include the "view" link, which pops up your new image view page, and allows you to preview it. If you like, you can view your page then copy the URL in the address bar of your browser and use that when linking to your new image view page. Other links include "email", which when clicked, pulls up your default email client on your computer using a simple "mailto" and adds your page link to the body of your email. This convenient tool allows you to send out your page to others via email. Users will get your email with the text link. When they click the link in their email, it will open the default browser on their computer and the Image View Page will appear there. They can view your images in the page instantly! Finally we have the "assign images" link. The "assign images" is a special area and described below in more detail.
</p>
<p>
*<strong>Security Note:</strong> Keep in mind that all image view pages are public and accessible to everyone that knows the url to the image view page. Because each page has a special unique "id" assigned to the end of the query string for that url for that page, its not possible for others to easily change that string and access image view pages not sent to them. So, there is a level of security in who is allowed to view your image view pages. When you send a select group of people one page, and another a link to a second page you built, you can be sure that neither will be able to surf to the other's page. Without the unqiue id of each other's page, those pages are not viewable by others. Becuase of the unique id system, its unlikely others will be able to get to pages, unless you share that URL on the web or link to it from another web site. In future releases of ImageIsle, we will off a special ImageView module that allows you to assign users directly to a page, and require a secure login for these private image views. This will allow you to assign specific logins to specific pages.
</p>
 
<h2>Add a View</h2>
<p>
(This feature is removed from the freeware version).
</p>


<h2>Assigning Images</h2>
<p>
The "assign images" link found in the image view listing next to each page is the most important feature of the ImageView Module. After you create your image view page, you will need to assign images to that page. To do so, simply click this "assign images" link. When you click this link, you will be taken to a special image assignment web page in the ImageViewer Module. Here, you may assign images to your new page from your image library (as managed by the ImageManager). To the left you will see a thumbnail view of images already assigned to your image view page. This represents a thumbnail image view of the images you have assigned to your image view page. Initially, for new pages, this should be empty. If you have been adding lots of images to your page, you will see thumbnails of those images here. The "paging" toolbar at the top works just like the pager in the Image Manager. It allows you to surf through groups of images assigned to your image view page quickly. If you have, say, 100 images assigned to your image view page, and only 20 are shown per page, then in the assignment area you will see numbers one through five representing five groupings of images assigned to your image view page. In this area, to the right, you will see thumbnails of images found in your image library. You may click the "quick add" button for the image to assign it to your image view page. Doing so, you should see that image now appearing to the left, indicating you have assigned this image to your image view page. Keep in mind each image view page may access all images in the system. Assigning any image does not in any way affect other image view page assignments. In addition to the quick add button, you may click the checkbox for multiple images, and then in the middle, click the gray button entitled "Add Checked Images". This allows you to assign batches of images quickly from your libary to your page. When you assign an image from your library to your page, it is removed from the display panel to the right, so that you dont get confused and assign it multiple times. Also, you may remove images the same way you assigned them, from your page, using quick remove and the checkbox batch removal button. Finally, remember, if you disable or delete an image from your library in ImageManager Module thats been assigned here, it will be removed from all image view pages. Use the disabled feature in the ImageManager to temporarily remove that image from all other modules in the system, including the ImageViewer Module. This system allows you to macro-manage allot of images and who sees them from the ImageManager Module.
</p>

</fieldset>
</div>








<!--#include file="System/ErrorMessageFooter.asp"-->
<%Server.Execute (Application("IIm_WEBROOT_PATH") & "/System/PAGE_BODY_BOTTOM.asp")%>
</body>
</html>
